Storyden
Accounts

Account List

List accounts for administrative moderation purposes. This endpoint is intended for staff-facing member search and returns denser account data than the public profile listing such as email addresses, held auth services and administrative flags. Requires VIEW_ACCOUNTS. This is a read-only permission; account mutation endpoints require narrower management permissions like MANAGE_ACCOUNTS, MANAGE_SUSPENSIONS or ADMINISTRATOR.

GET/admin/accounts

List accounts for administrative moderation purposes. This endpoint is intended for staff-facing member search and returns denser account data than the public profile listing such as email addresses, held auth services and administrative flags.

Requires VIEW_ACCOUNTS. This is a read-only permission; account mutation endpoints require narrower management permissions like MANAGE_ACCOUNTS, MANAGE_SUSPENSIONS or ADMINISTRATOR.

storyden-session<token>

In: cookie

Query Parameters

q?string

Search query string.

page?string

Pagination query parameters.

sort?string

Profiles sort by query

roles?array<>

Profiles role filter query

joined?string

Profiles join range query

invited_by?array<>

Profiles invited by query (account handles)

suspended?boolean

Filter accounts by suspension state.

admin?boolean

Filter accounts by administrator status.

kind?string

Filter accounts by account type.

auth_service?array<AuthProviderIdentifier>

Filter accounts by one or more active authentication services.

Response Body

application/json

application/json

curl -X GET "https://example.com/admin/accounts"
{
  "page_size": 0,
  "results": 0,
  "total_pages": 0,
  "current_page": 0,
  "next_page": 0,
  "accounts": [
    {
      "id": "cc5lnd2s1s4652adtu50",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z",
      "deletedAt": "2019-08-24T14:15:22Z",
      "misc": {},
      "joined": "2019-08-24T14:15:22Z",
      "suspended": "2019-08-24T14:15:22Z",
      "handle": "Southclaws",
      "name": "Barnaby Keene",
      "roles": [
        {
          "id": "cc5lnd2s1s4652adtu50",
          "createdAt": "2019-08-24T14:15:22Z",
          "updatedAt": "2019-08-24T14:15:22Z",
          "deletedAt": "2019-08-24T14:15:22Z",
          "misc": {},
          "name": "string",
          "colour": "string",
          "permissions": [
            "CREATE_POST"
          ],
          "meta": {},
          "badge": true,
          "default": true
        }
      ],
      "bio": "<body><p>hi, my name is</p><p>southclaws</p></body>",
      "signature": "<body><p>Sent with love from London!</p></body>",
      "links": [
        {
          "text": "string",
          "url": "string"
        }
      ],
      "meta": {},
      "verified_status": "none",
      "kind": "human",
      "email_addresses": [
        {
          "id": "cc5lnd2s1s4652adtu50",
          "email_address": "hello@storyden.org",
          "verified": true
        }
      ],
      "auth_services": [
        "string"
      ],
      "notifications": 0,
      "admin": true,
      "invited_by": {
        "id": "cc5lnd2s1s4652adtu50",
        "joined": "2019-08-24T14:15:22Z",
        "suspended": "2019-08-24T14:15:22Z",
        "handle": "Southclaws",
        "name": "Barnaby Keene",
        "signature": "<body><p>Sent with love from London!</p></body>",
        "roles": [
          {
            "badge": true,
            "default": true,
            "id": "cc5lnd2s1s4652adtu50",
            "name": "string",
            "colour": "string",
            "meta": {}
          }
        ]
      }
    }
  ]
}
Empty
{
  "type": "string",
  "title": "string",
  "detail": "string",
  "trace_id": "string",
  "metadata": {}
}